require 'JIRA-SOAP-STUBS/default.rb'
require 'JIRA-SOAP-STUBS/defaultMappingRegistry.rb'
require 'soap/rpc/driver'

module JIRA

class JiraSoapService < ::SOAP::RPC::Driver
  DefaultEndpointUrl = "https://issues.jboss.org/rpc/soap/jirasoapservice-v2"
  NsSoapRpcJiraAtlassianCom = "http://soap.rpc.jira.atlassian.com"

  Methods = [
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getComment"),
      "",
      "getComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getCommentReturn", ["JIRA::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getServerInfo"),
      "",
      "getServerInfo",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getServerInfoReturn", ["JIRA::RemoteServerInfo", "http://beans.soap.rpc.jira.atlassian.com", "RemoteServerInfo"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getGroup"),
      "",
      "getGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getGroupReturn", ["JIRA::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "login"),
      "",
      "login",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "loginReturn", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getUser"),
      "",
      "getUser",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getUserReturn", ["JIRA::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssue"),
      "",
      "getIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueReturn", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getVersions"),
      "",
      "getVersions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getVersionsReturn", ["JIRA::ArrayOf_tns1_RemoteVersion", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteVersion"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getComponents"),
      "",
      "getComponents",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getComponentsReturn", ["JIRA::ArrayOf_tns1_RemoteComponent", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteComponent"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createGroup"),
      "",
      "createGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]],
        ["retval", "createGroupReturn", ["JIRA::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createUser"),
      "",
      "createUser",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPString"]],
        ["in", "in4", ["::SOAP::SOAPString"]],
        ["retval", "createUserReturn", ["JIRA::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createIssue"),
      "",
      "createIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]],
        ["retval", "createIssueReturn", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateIssue"),
      "",
      "updateIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::ArrayOf_tns1_RemoteFieldValue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFieldValue"]],
        ["retval", "updateIssueReturn", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteIssue"),
      "",
      "deleteIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAvailableActions"),
      "",
      "getAvailableActions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getAvailableActionsReturn", ["JIRA::ArrayOf_tns1_RemoteNamedObject", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteNamedObject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSubTaskIssueTypes"),
      "",
      "getSubTaskIssueTypes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getSubTaskIssueTypesReturn", ["JIRA::ArrayOf_tns1_RemoteIssueType", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getConfiguration"),
      "",
      "getConfiguration",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getConfigurationReturn", ["JIRA::RemoteConfiguration", "http://beans.soap.rpc.jira.atlassian.com", "RemoteConfiguration"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createProject"),
      "",
      "createProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPString"]],
        ["in", "in4", ["::SOAP::SOAPString"]],
        ["in", "in5", ["::SOAP::SOAPString"]],
        ["in", "in6", ["JIRA::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]],
        ["in", "in7", ["JIRA::RemoteScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemoteScheme"]],
        ["in", "in8", ["JIRA::RemoteScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemoteScheme"]],
        ["retval", "createProjectReturn", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateProject"),
      "",
      "updateProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["retval", "updateProjectReturn", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectByKey"),
      "",
      "getProjectByKey",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getProjectByKeyReturn", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeAllRoleActorsByProject"),
      "",
      "removeAllRoleActorsByProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getPriorities"),
      "",
      "getPriorities",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getPrioritiesReturn", ["JIRA::ArrayOf_tns1_RemotePriority", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemotePriority"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getResolutions"),
      "",
      "getResolutions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getResolutionsReturn", ["JIRA::ArrayOf_tns1_RemoteResolution", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteResolution"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueTypes"),
      "",
      "getIssueTypes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getIssueTypesReturn", ["JIRA::ArrayOf_tns1_RemoteIssueType", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getStatuses"),
      "",
      "getStatuses",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getStatusesReturn", ["JIRA::ArrayOf_tns1_RemoteStatus", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteStatus"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueTypesForProject"),
      "",
      "getIssueTypesForProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueTypesForProjectReturn", ["JIRA::ArrayOf_tns1_RemoteIssueType", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectRoles"),
      "",
      "getProjectRoles",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getProjectRolesReturn", ["JIRA::ArrayOf_tns1_RemoteProjectRole", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectRole"),
      "",
      "getProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getProjectRoleReturn", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectRoleActors"),
      "",
      "getProjectRoleActors",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in2", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["retval", "getProjectRoleActorsReturn", ["JIRA::RemoteProjectRoleActors", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRoleActors"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getDefaultRoleActors"),
      "",
      "getDefaultRoleActors",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "getDefaultRoleActorsReturn", ["JIRA::RemoteRoleActors", "http://beans.soap.rpc.jira.atlassian.com", "RemoteRoleActors"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeAllRoleActorsByNameAndType"),
      "",
      "removeAllRoleActorsByNameAndType",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteProjectRole"),
      "",
      "deleteProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in2", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateProjectRole"),
      "",
      "updateProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createProjectRole"),
      "",
      "createProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "createProjectRoleReturn", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "isProjectRoleNameUnique"),
      "",
      "isProjectRoleNameUnique",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "isProjectRoleNameUniqueReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addActorsToProjectRole"),
      "",
      "addActorsToProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["in", "in4", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeActorsFromProjectRole"),
      "",
      "removeActorsFromProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["in", "in4", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addDefaultActorsToProjectRole"),
      "",
      "addDefaultActorsToProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeDefaultActorsFromProjectRole"),
      "",
      "removeDefaultActorsFromProjectRole",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["in", "in3", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAssociatedNotificationSchemes"),
      "",
      "getAssociatedNotificationSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "getAssociatedNotificationSchemesReturn", ["JIRA::ArrayOf_tns1_RemoteScheme", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAssociatedPermissionSchemes"),
      "",
      "getAssociatedPermissionSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProjectRole", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProjectRole"]],
        ["retval", "getAssociatedPermissionSchemesReturn", ["JIRA::ArrayOf_tns1_RemoteScheme", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteProject"),
      "",
      "deleteProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectById"),
      "",
      "getProjectById",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getProjectByIdReturn", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getCustomFields"),
      "",
      "getCustomFields",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getCustomFieldsReturn", ["JIRA::ArrayOf_tns1_RemoteField", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteField"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getComments"),
      "",
      "getComments",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getCommentsReturn", ["JIRA::ArrayOf_tns1_RemoteComment", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getFavouriteFilters"),
      "",
      "getFavouriteFilters",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getFavouriteFiltersReturn", ["JIRA::ArrayOf_tns1_RemoteFilter", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFilter"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "releaseVersion"),
      "",
      "releaseVersion",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteVersion", "http://beans.soap.rpc.jira.atlassian.com", "RemoteVersion"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "archiveVersion"),
      "",
      "archiveVersion",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getFieldsForEdit"),
      "",
      "getFieldsForEdit",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getFieldsForEditReturn", ["JIRA::ArrayOf_tns1_RemoteField", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteField"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSubTaskIssueTypesForProject"),
      "",
      "getSubTaskIssueTypesForProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getSubTaskIssueTypesForProjectReturn", ["JIRA::ArrayOf_tns1_RemoteIssueType", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssueType"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addUserToGroup"),
      "",
      "addUserToGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]],
        ["in", "in2", ["JIRA::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "removeUserFromGroup"),
      "",
      "removeUserFromGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]],
        ["in", "in2", ["JIRA::RemoteUser", "http://beans.soap.rpc.jira.atlassian.com", "RemoteUser"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSecurityLevel"),
      "",
      "getSecurityLevel",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getSecurityLevelReturn", ["JIRA::RemoteSecurityLevel", "http://beans.soap.rpc.jira.atlassian.com", "RemoteSecurityLevel"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "logout"),
      "",
      "logout",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "logoutReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addComment"),
      "",
      "addComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectWithSchemesById"),
      "",
      "getProjectWithSchemesById",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getProjectWithSchemesByIdReturn", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSecurityLevels"),
      "",
      "getSecurityLevels",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getSecurityLevelsReturn", ["JIRA::ArrayOf_tns1_RemoteSecurityLevel", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteSecurityLevel"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectAvatars"),
      "",
      "getProjectAvatars",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPBoolean"]],
        ["retval", "getProjectAvatarsReturn", ["JIRA::ArrayOf_tns1_RemoteAvatar", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteAvatar"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "setProjectAvatar"),
      "",
      "setProjectAvatar",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPLong"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectAvatar"),
      "",
      "getProjectAvatar",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getProjectAvatarReturn", ["JIRA::RemoteAvatar", "http://beans.soap.rpc.jira.atlassian.com", "RemoteAvatar"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteProjectAvatar"),
      "",
      "deleteProjectAvatar",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getNotificationSchemes"),
      "",
      "getNotificationSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getNotificationSchemesReturn", ["JIRA::ArrayOf_tns1_RemoteScheme", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getPermissionSchemes"),
      "",
      "getPermissionSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getPermissionSchemesReturn", ["JIRA::ArrayOf_tns1_RemotePermissionScheme", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAllPermissions"),
      "",
      "getAllPermissions",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getAllPermissionsReturn", ["JIRA::ArrayOf_tns1_RemotePermission", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemotePermission"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createPermissionScheme"),
      "",
      "createPermissionScheme",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["retval", "createPermissionSchemeReturn", ["JIRA::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addPermissionTo"),
      "",
      "addPermissionTo",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]],
        ["in", "in2", ["JIRA::RemotePermission", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermission"]],
        ["in", "in3", ["JIRA::RemoteEntity", "http://beans.soap.rpc.jira.atlassian.com", "RemoteEntity"]],
        ["retval", "addPermissionToReturn", ["JIRA::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deletePermissionFrom"),
      "",
      "deletePermissionFrom",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]],
        ["in", "in2", ["JIRA::RemotePermission", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermission"]],
        ["in", "in3", ["JIRA::RemoteEntity", "http://beans.soap.rpc.jira.atlassian.com", "RemoteEntity"]],
        ["retval", "deletePermissionFromReturn", ["JIRA::RemotePermissionScheme", "http://beans.soap.rpc.jira.atlassian.com", "RemotePermissionScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deletePermissionScheme"),
      "",
      "deletePermissionScheme",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createIssueWithSecurityLevel"),
      "",
      "createIssueWithSecurityLevel",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]],
        ["in", "in2", ["::SOAP::SOAPLong"]],
        ["retval", "createIssueWithSecurityLevelReturn", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addAttachmentsToIssue"),
      "",
      "addAttachmentsToIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in3", ["JIRA::ArrayOf_xsd_base64Binary", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_base64Binary"]],
        ["retval", "addAttachmentsToIssueReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getAttachmentsFromIssue"),
      "",
      "getAttachmentsFromIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getAttachmentsFromIssueReturn", ["JIRA::ArrayOf_tns1_RemoteAttachment", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteAttachment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToEditComment"),
      "",
      "hasPermissionToEditComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]],
        ["retval", "hasPermissionToEditCommentReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "editComment"),
      "",
      "editComment",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]],
        ["retval", "editCommentReturn", ["JIRA::RemoteComment", "http://beans.soap.rpc.jira.atlassian.com", "RemoteComment"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getFieldsForAction"),
      "",
      "getFieldsForAction",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["retval", "getFieldsForActionReturn", ["JIRA::ArrayOf_tns1_RemoteField", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteField"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "progressWorkflowAction"),
      "",
      "progressWorkflowAction",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["JIRA::ArrayOf_tns1_RemoteFieldValue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFieldValue"]],
        ["retval", "progressWorkflowActionReturn", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueById"),
      "",
      "getIssueById",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueByIdReturn", ["JIRA::RemoteIssue", "http://beans.soap.rpc.jira.atlassian.com", "RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addWorklogWithNewRemainingEstimate"),
      "",
      "addWorklogWithNewRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["in", "in3", ["::SOAP::SOAPString"]],
        ["retval", "addWorklogWithNewRemainingEstimateReturn", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addWorklogAndAutoAdjustRemainingEstimate"),
      "",
      "addWorklogAndAutoAdjustRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["retval", "addWorklogAndAutoAdjustRemainingEstimateReturn", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addWorklogAndRetainRemainingEstimate"),
      "",
      "addWorklogAndRetainRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["retval", "addWorklogAndRetainRemainingEstimateReturn", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteWorklogWithNewRemainingEstimate"),
      "",
      "deleteWorklogWithNewRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteWorklogAndAutoAdjustRemainingEstimate"),
      "",
      "deleteWorklogAndAutoAdjustRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteWorklogAndRetainRemainingEstimate"),
      "",
      "deleteWorklogAndRetainRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateWorklogWithNewRemainingEstimate"),
      "",
      "updateWorklogWithNewRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateWorklogAndAutoAdjustRemainingEstimate"),
      "",
      "updateWorklogAndAutoAdjustRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateWorklogAndRetainRemainingEstimate"),
      "",
      "updateWorklogAndRetainRemainingEstimate",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteWorklog", "http://beans.soap.rpc.jira.atlassian.com", "RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getWorklogs"),
      "",
      "getWorklogs",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getWorklogsReturn", ["JIRA::ArrayOf_tns1_RemoteWorklog", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteWorklog"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToCreateWorklog"),
      "",
      "hasPermissionToCreateWorklog",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "hasPermissionToCreateWorklogReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToDeleteWorklog"),
      "",
      "hasPermissionToDeleteWorklog",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "hasPermissionToDeleteWorklogReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "hasPermissionToUpdateWorklog"),
      "",
      "hasPermissionToUpdateWorklog",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "hasPermissionToUpdateWorklogReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getResolutionDateByKey"),
      "",
      "getResolutionDateByKey",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getResolutionDateByKeyReturn", ["::SOAP::SOAPDateTime"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getResolutionDateById"),
      "",
      "getResolutionDateById",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPLong"]],
        ["retval", "getResolutionDateByIdReturn", ["::SOAP::SOAPDateTime"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssueCountForFilter"),
      "",
      "getIssueCountForFilter",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssueCountForFilterReturn", ["::SOAP::SOAPLong"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromTextSearch"),
      "",
      "getIssuesFromTextSearch",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssuesFromTextSearchReturn", ["JIRA::ArrayOf_tns1_RemoteIssue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromTextSearchWithProject"),
      "",
      "getIssuesFromTextSearchWithProject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPInt"]],
        ["retval", "getIssuesFromTextSearchWithProjectReturn", ["JIRA::ArrayOf_tns1_RemoteIssue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromJqlSearch"),
      "",
      "getIssuesFromJqlSearch",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPInt"]],
        ["retval", "getIssuesFromJqlSearchReturn", ["JIRA::ArrayOf_tns1_RemoteIssue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteUser"),
      "",
      "deleteUser",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "updateGroup"),
      "",
      "updateGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]],
        ["retval", "updateGroupReturn", ["JIRA::RemoteGroup", "http://beans.soap.rpc.jira.atlassian.com", "RemoteGroup"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "deleteGroup"),
      "",
      "deleteGroup",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "refreshCustomFields"),
      "",
      "refreshCustomFields",
      [ ["in", "in0", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSavedFilters"),
      "",
      "getSavedFilters",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getSavedFiltersReturn", ["JIRA::ArrayOf_tns1_RemoteFilter", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteFilter"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addBase64EncodedAttachmentsToIssue"),
      "",
      "addBase64EncodedAttachmentsToIssue",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["in", "in3", ["JIRA::ArrayOf_xsd_string", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_xsd_string"]],
        ["retval", "addBase64EncodedAttachmentsToIssueReturn", ["::SOAP::SOAPBoolean"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "createProjectFromObject"),
      "",
      "createProjectFromObject",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]],
        ["retval", "createProjectFromObjectReturn", ["JIRA::RemoteProject", "http://beans.soap.rpc.jira.atlassian.com", "RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteValidationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteValidationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getSecuritySchemes"),
      "",
      "getSecuritySchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getSecuritySchemesReturn", ["JIRA::ArrayOf_tns1_RemoteScheme", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteScheme"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "addVersion"),
      "",
      "addVersion",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["JIRA::RemoteVersion", "http://beans.soap.rpc.jira.atlassian.com", "RemoteVersion"]],
        ["retval", "addVersionReturn", ["JIRA::RemoteVersion", "http://beans.soap.rpc.jira.atlassian.com", "RemoteVersion"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromFilter"),
      "",
      "getIssuesFromFilter",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["retval", "getIssuesFromFilterReturn", ["JIRA::ArrayOf_tns1_RemoteIssue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromFilterWithLimit"),
      "",
      "getIssuesFromFilterWithLimit",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPInt"]],
        ["in", "in3", ["::SOAP::SOAPInt"]],
        ["retval", "getIssuesFromFilterWithLimitReturn", ["JIRA::ArrayOf_tns1_RemoteIssue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getIssuesFromTextSearchWithLimit"),
      "",
      "getIssuesFromTextSearchWithLimit",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPInt"]],
        ["in", "in3", ["::SOAP::SOAPInt"]],
        ["retval", "getIssuesFromTextSearchWithLimitReturn", ["JIRA::ArrayOf_tns1_RemoteIssue", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteIssue"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "getProjectsNoSchemes"),
      "",
      "getProjectsNoSchemes",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["retval", "getProjectsNoSchemesReturn", ["JIRA::ArrayOf_tns1_RemoteProject", "https://issues.jboss.org/rpc/soap/jirasoapservice-v2", "ArrayOf_tns1_RemoteProject"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteAuthenticationException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteAuthenticationException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ],
    [ XSD::QName.new(NsSoapRpcJiraAtlassianCom, "setNewProjectAvatar"),
      "",
      "setNewProjectAvatar",
      [ ["in", "in0", ["::SOAP::SOAPString"]],
        ["in", "in1", ["::SOAP::SOAPString"]],
        ["in", "in2", ["::SOAP::SOAPString"]],
        ["in", "in3", ["::SOAP::SOAPString"]] ],
      { :request_style =>  :rpc, :request_use =>  :encoded,
        :response_style => :rpc, :response_use => :encoded,
        :faults => {"JIRA::RemoteException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemoteException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}, "JIRA::RemotePermissionException_"=>{:namespace=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2", :encodingstyle=>"http://schemas.xmlsoap.org/soap/encoding/", :name=>"RemotePermissionException", :use=>"encoded", :ns=>"https://issues.jboss.org/rpc/soap/jirasoapservice-v2"}} }
    ]
  ]

  def initialize(endpoint_url = nil)
    endpoint_url ||= DefaultEndpointUrl
    super(endpoint_url, nil)
    self.mapping_registry = DefaultMappingRegistry::EncodedRegistry
    self.literal_mapping_registry = DefaultMappingRegistry::LiteralRegistry
    init_methods
  end

private

  def init_methods
    Methods.each do |definitions|
      opt = definitions.last
      if opt[:request_style] == :document
        add_document_operation(*definitions)
      else
        add_rpc_operation(*definitions)
        qname = definitions[0]
        name = definitions[2]
        if qname.name != name and qname.name.capitalize == name.capitalize
          ::SOAP::Mapping.define_singleton_method(self, qname.name) do |*arg|
            __send__(name, *arg)
          end
        end
      end
    end
  end
end


end
